<?php
namespace komaphp\core;

/**
 * [Core]Dir：各ディレクトリ取得用のエイリアス
 */
class Dir{
	static $doc_root = "";

	private static function setDocRoot(){
	    self::$doc_root = $_SERVER['DOCUMENT_ROOT'];
	}
	public static function getDocRoot(){
	    return $_SERVER['DOCUMENT_ROOT'];
	}
	public static function frameworkDir():string{
	    self::setDocRoot();
	    return self::$doc_root.DS.'..'.DS.'komaphpframework';
	}
	public static function storage_path():string
	{
    	return self::frameworkDir().DS.'storage';
	}
	public static function config_path():string
	{
	    return self::frameworkDir().DS.'config';
	}
    public static function app_path():string
    {
        return self::frameworkDir().DS.'app';
    }
    public static function templates_path():string
    {
        return self::storage_path().DS.'templates';
    }
    //templates
    public static function core_path():string
    {
        return self::app_path().DS.'core';
    }
    public static function db_path():string
    {
        return self::app_path().DS.'db';
    }
    public static function boar_path():string
    {
        return self::app_path().DS.'fwboar';
    }
    public static function views_path():string
    {
        return self::boar_path().DS.'views';
    }
    public static function controllers_path():string
    {
        return self::boar_path().DS.'controllers';
    }
}