<?php
namespace komaphp\core;
/**
 * [Core]Log：ログクラス
 * アクセスログ・処理実行ログ書き込み処理を行う
 */
class Log{

	/**
	 * ログ出力
	 * @param string $msg
	 */
	public static function set(string $msg=null)
	{
		$datetime = date("Y-m-d H:i:s");
		$date = date("Ymd");

		$logdir = Dir::storage_path().DS."logs".DS.$date;

		if(!file_exists($logdir)){
		    mkdir($logdir);
		}
		$logFile = $logdir.DS.$date.".log";

		$data=null;

		$data="[{$datetime}] ";

		if(!is_null(Session::get("AdminInfo"))){
			$adm = Session::get("AdminInfo");
			$data.="adminID:{$adm["admin_id"]} ";
		}
		$data.="{$msg} ";

		if(file_exists($logFile)){
			file_put_contents($logFile, $data."\n",FILE_APPEND);
		}else{
			file_put_contents($logFile, $data."\n");
		}

	}

}