var picker_set = {
		 monthsFull: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
		 monthsShort: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
		 weekdaysFull: ["日曜日", "月曜日", "火曜日", "水曜日", "木曜日", "金曜日", "土曜日"],
		 weekdaysShort: ["日", "月", "火", "水", "木", "金", "土"],
		 weekdaysLetter: ["日", "月", "火", "水", "木", "金", "土"],
		 labelMonthNext: "翌月",
		 labelMonthPrev: "前月",
		 labelMonthSelect: "月を選択",
		 labelYearSelect: "年を選択",
		 today: "今日",
		 clear: "クリア",
		 close: "決定",
	    format:'yyyy/mm/dd',
	  };

(function($){
	$(function(){
		$('.sidenav').sidenav();
		//Materialize Setting
		/***********************************
		side menu
		***********************************/
		$('.button-collapse').sidenav({
		    menuWidth: 300, // Default is 300
		    edge: 'left', // Choose the horizontal origin
		    closeOnClick: false, // Closes side-nav on <a> clicks, useful for Angular/Meteor
		    draggable: true // Choose whether you can drag to open on touch screens
		  }
		);
		M.updateTextFields();
		$('select').formSelect();
		$('.collapsible').collapsible();
		$('.carousel').carousel();
		// Next slide
		$('.carousel').carousel('next');
		$('.carousel').carousel('next', 3); // Move next n times.
		// Previous slide
		$('.carousel').carousel('prev');
		$('.carousel').carousel('prev', 4); // Move prev n times.
		// Set to nth slide
		$('.carousel').carousel('set', 4);
		$('.carousel.carousel-slider').carousel({full_width: true});

		  $('.tap-target').tapTarget('open');
		  $('.tap-target').tapTarget('close');
		  $('.modal').modal();
		$('.dropdown-button').dropdown('open');
		$('.dropdown-button').dropdown('close');
		  $('.datepicker').datepicker(picker_set);
		  $('.timepicker').timepicker({
		    default: 'now', // Set default time: 'now', '1:30AM', '16:30'
		    fromnow: 0,       // set default time to * milliseconds from now (using with default = 'now')
		    twelvehour: false, // Use AM/PM or 24-hour format
		    donetext: 'OK', // text for done-button
		    cleartext: 'Clear', // text for clear-button
		    canceltext: 'Cancel', // Text for cancel-button
		    autoclose: false, // automatic close timepicker
		    ampmclickable: true, // make AM PM clickable
		    format:'hh:ii',
		    aftershow: function(){} //Function for after opening timepicker
		  });
	});
})(jQuery);

function error_console(xl){
	M.toast({html:'script error.'+xl.responseText,displayLength:10000});
}

function mtoast_err(err){
	if(err == null || err == ""){
		err = "通信エラー";
	}
	M.toast({html:'<i class="material-icons tiny">error</i>'+err,displayLength:10000,classes:'red lighten-1'});

}
function mtoast_info(msg){
	if(msg == null || msg == ""){
		msg = "更新しました";
	}
	M.toast({html:'<i class="material-icons tiny">info</i>'+msg,displayLength:3000,classes:'blue lighten-1'});
}
function mtoast_warn(msg){
	if(msg == null || msg == ""){
		msg = "警告";
	}
	M.toast({html:'<i class="material-icons tiny">warning</i>'+msg,displayLength:10000,classes:'orange lighten-1'});
}