<?php
namespace komaphp\fwboar\controllers\post;

use komaphp\base as base;
use komaphp\core\Validation as Validation;
use komaphp\core\Config as Config;
use komaphp\core\Input as Input;
use komaphp\core\Log as Log;
use komaphp\core\Session as Session;
use komaphp\core\Helper as Helper;
use komaphp\fwboar\umodel\data\PostData as PostData;

class ListController extends base\Controller{
    protected $param = []; //viewに渡すパラメータ
    protected $title = '一覧';

    function get($request = [],$router = [])
    {
        $search_list = Session::get('PostList');
        if(is_null($search_list)){
            $search_list = [];
        }


        $this->param['title'] = $this->title;
        $this->param['search_flg'] = true;
        $data = new PostData;
        $this->param['list_count'] = $data->count();
        $this->param['list'] = $data->select_pager_data($search_list,['xcode'=>0,'post_code'=>0],$request);
        return $this->param;
    }

    function post($request = [],$router = [])
    {
        Session::start();
        Session::reg_id();
        Session::destroy('PostList');

        $search_list = [];

        $this->param['search_flg'] = true;
        $data = new PostData;
        $this->param['list_count'] = $data->count();
        $this->param['list'] = $data->select_pager_data($search_list,['xcode'=>0,'post_code'=>0],$request);

        $this->param['title'] = $this->title;
        return $this->param;
    }
}