<?php
return [
    //権限マスタ
    'Auth'=>[
        'table_name'=>'workflow_m_auth',
        'columns'=>[
            'auth_cd'=>[
                'name'=>'権限コード',
                'type'=>\PDO::PARAM_STR,
                'length'=>2,
                'pk',
                'null'=>false, //not null
            ],
            'auth_name'=>[
                'name'=>'権限名',
                'type'=>\PDO::PARAM_STR,
                'length'=>20,
                'null'=>false, //not null
            ],
            'contents'=>[
                'name'=>'説明',
                'type'=>\PDO::PARAM_STR,
                'length'=>100,
                'null'=>true, //null ok
            ],
            'auth'=>[
                'name'=>'管理権限と同等の権限をつける',
                'type'=>\PDO::PARAM_STR,
                'length'=>1,
                'null'=>false, //not null
            ],
            'create_date'=>[
                'name'=>'登録日時',
                'type'=>\PDO::PARAM_STR,
                'null'=>false, //not null
            ],
            'update_date'=>[
                'name'=>'最終更新日時',
                'type'=>\PDO::PARAM_STR,
                'null'=>false, //not null
            ],
        ],
    ],



];

