let check = function(form_name){
	let formData =$("#"+form_name).serializeArray();
	let fdata = {};
	$('.toast').fadeOut();
    $.each(formData, function(i, element) {
    	$('#'+element.name).removeClass('invalid');
    	$('#'+element.name+'_help').removeAttr('data-error');
    	fdata[element.name] = element.value;
    });
	return $.ajax({
		url:'/formcheck/'+form_name,
		type:'POST',
		dataType:'json',
		data:fdata
	}).done(function(data, textStatus, jqXHR){
		if(textStatus != 'success'){
			return;
		}
		if(data.result == 1){
			mtoast_err('入力内容に不備がありました');
		    $.each(data.error, function(key, err) {
		    	$('#'+key).addClass('invalid');
		    	let e = '';
		    	for(ei=0;ei<err.length;ei++){
		    		e += err[ei]+" ";
		    	}
		    	$('#'+key+'_help').attr('data-error',e);
		    });
		}
		return;
	}).fail(function(jqXHR, textStatus, errorThrown){
		  // エラーの場合処理
		error_console(jqXHR);
		return;
	});
};

